summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Judah Milgram2017-06-19 00:20:09 +0200
committer David Spencer2017-06-19 00:34:13 +0200
commit42c6070f42e5f694c36c9e3668d0af6510c8d606 (patch)
tree42d41f1c7863f91a5bbf5d2c8078374511b4d644 /development
parent9154ca99911510a91fb42e865ddd33edadd0593c (diff)
downloadslackbuilds-42c6070f42e5f694c36c9e3668d0af6510c8d606.tar.gz
development/f2c: Added (Fortran-to-C converter).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/f2c/README13
-rw-r--r--development/f2c/f2c.SlackBuild120
-rw-r--r--development/f2c/f2c.info16
-rw-r--r--development/f2c/slack-desc19
4 files changed, 168 insertions, 0 deletions
diff --git a/development/f2c/README b/development/f2c/README
new file mode 100644
index 0000000000..ed89051435
--- /dev/null
+++ b/development/f2c/README
@@ -0,0 +1,13 @@
+f2c is a Fortran-to-C converter.
+
+This package includes libf2c, which must be linked to the resulting C
+code. Thus the general idea is
+
+ f2c foo.f
+ gcc foo.c -lf2c
+
+Or use the fc script provided in the docs directory. Beware, fc is also
+a bash builtin.
+
+If combining with gfortran, you may want to use the gfortran -ff2c
+option. See the gfortran man page.
diff --git a/development/f2c/f2c.SlackBuild b/development/f2c/f2c.SlackBuild
new file mode 100644
index 0000000000..4106279e3f
--- /dev/null
+++ b/development/f2c/f2c.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for f2c
+
+# Copyright 2017, Judah Milgram, Washington DC
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=f2c
+VERSION=${VERSION:-20160102} # This is the f2c version, not libf2c.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -fPIC -DNON_UNIX_STDIO -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -fPIC -DNON_UNIX_STDIO -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -DNON_UNIX_STDIO"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -fPIC -DNON_UNIX_STDIO"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+mkdir -p $PRGNAM-$VERSION/libf2c
+cd $PRGNAM-$VERSION/libf2c
+unzip $CWD/libf2c.zip
+
+cd $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/src.tgz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# libf2c
+
+cd $TMP/$PRGNAM-$VERSION/libf2c
+make CFLAGS="${SLKCFLAGS}" -f makefile.u
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+make -f makefile.u LIBDIR=$PKG/usr/lib${LIBDIRSUFFIX} install
+strip --strip-unneeded $PKG/usr/lib${LIBDIRSUFFIX}/libf2c.a
+
+# f2c
+
+cd $TMP/$PRGNAM-$VERSION/src
+make CFLAGS="${SLKCFLAGS}" -f makefile.u
+
+mkdir -p $PKG/usr/bin
+install -s f2c $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/f2c
+
+mkdir -p $PKG/usr/include
+install f2c.h $PKG/usr/include
+
+mkdir -p $PKG/usr/man/man1
+install f2c.1 $PKG/usr/man/man1/f2c.1
+gzip -9 $PKG/usr/man/man1/f2c.1
+
+
+cd $TMP/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a src/Notice src/changes $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a src/README $PKG/usr/doc/$PRGNAM-$VERSION/README.f2c
+cp -a libf2c/README $PKG/usr/doc/$PRGNAM-$VERSION/README.libf2c
+
+cat $CWD/fc > $PKG/usr/doc/$PRGNAM-$VERSION/fc
+cat $CWD/f2c.pdf > $PKG/usr/doc/$PRGNAM-$VERSION/f2c.pdf
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/f2c/f2c.info b/development/f2c/f2c.info
new file mode 100644
index 0000000000..69d0ea1d2a
--- /dev/null
+++ b/development/f2c/f2c.info
@@ -0,0 +1,16 @@
+PRGNAM="f2c"
+VERSION="20160102"
+HOMEPAGE="http://www.netlib.org/f2c/"
+DOWNLOAD="http://www.netlib.org/f2c/libf2c.zip \
+ http://www.netlib.org/f2c/src.tgz \
+ http://www.netlib.org/f2c/fc \
+ http://www.netlib.org/f2c/f2c.pdf"
+MD5SUM="e80fb30fa3717660db71b1bed65b88b7 \
+ f11ed7992a92ad4b4f86fdf94994473a \
+ dcdf6afbd96204662bf10594b744cb44 \
+ 2a84d6d2f74412d7a288e721070d62b8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Judah Milgram"
+EMAIL="milgram@cgpp.com"
diff --git a/development/f2c/slack-desc b/development/f2c/slack-desc
new file mode 100644
index 0000000000..4373cf0645
--- /dev/null
+++ b/development/f2c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+f2c: f2c (Fortran-to-C converter)
+f2c:
+f2c: f2c is a Fortran-to-C converter
+f2c: by S. I. Feldman, David M. Gay, Mark W. Maimone, and N. L. Schryer
+f2c:
+f2c: This package includes libf2c, which must be linked to the resulting C
+f2c: code.
+f2c:
+f2c:
+f2c:
+f2c: